package com.cpxt.biz.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cpxt.biz.domain.BizCustomer;

/**
 * 客户Service接口
 * 
 * @author YIN
 * @date 2024-12-16
 */
public interface IBizCustomerService 
{
    /**
     * 查询客户
     * 
     * @param id 客户主键
     * @return 客户
     */
    public BizCustomer selectBizCustomerById(Long id);

    Page<BizCustomer> selectBizCustomerPage(BizCustomer bizCustomer, int pageNum, int pageSize);

    /**
     * 查询客户列表
     * 
     * @param bizCustomer 客户
     * @return 客户集合
     */
    public List<BizCustomer> selectBizCustomerList(BizCustomer bizCustomer);

    /**
     * 新增客户
     * 
     * @param bizCustomer 客户
     * @return 结果
     */
    public int insertBizCustomer(BizCustomer bizCustomer);

    /**
     * 修改客户
     * 
     * @param bizCustomer 客户
     * @return 结果
     */
    public int updateBizCustomer(BizCustomer bizCustomer);

    /**
     * 批量删除客户
     * 
     * @param ids 需要删除的客户主键集合
     * @return 结果
     */
    public int deleteBizCustomerByIds(Long[] ids);

    /**
     * 删除客户信息
     * 
     * @param id 客户主键
     * @return 结果
     */
    public int deleteBizCustomerById(Long id);


}
